[tool.poetry]
name = "ej-platform"
version = "2.8.0"
description = "A Django-powered participation platform"
authors = ["Fábio Macêdo Mendes <fabiomacedomendes@gmail.com>"]
license = "AGPL-3.0"

[tool.poetry.dependencies]
python = ">= 3.7.10, <4"
django = "==2.2.19"
django-boogie = {version = "==0.13.3"}
django-constance = {version = "^2.3", extras = ["database"]}
django-rest-auth = {version = "^0.9.3", extras = ["with_social"]}
django-allauth = "^0.38.0"
django-taggit = "^1.1.0"
django-autoslug = "^1.9"
django-jsonfield = "^1.0"
django-environ = "^0.4.5"
django-extensions = "^2.1"
django-bulk-update = "^2.2"
django-manager-utils = "^1.4"
django-polymorphic = "^2.0"
django-pandas = "^0.5.1"
django-filter = "^1.1"
django-model-utils = "^3.1"
coreapi = "^2.3"
hyperpython = "^1.1.1"
rules = "<2.0"
sidekick = "==0.5.2"
numpy = "^1.16"
scipy = "^1.2"
pandas = "^1.2"
scikit-learn = "^0.20.2"
pillow = "^5.4"
matplotlib = "^3.0"
dramatiq = "^1.4"
argon2-cffi = "^19.1"
markdown = "^3.0"
bleach = "^3.1"
Faker = "^1.0"
redis = "^3.1"
invoke = "==1.4.1"
bs4 = "^0.0.1"
wordcloud = "^1.5"
stop-words = "^2018.7"
djangorestframework = "^3.12"
django-debug-toolbar = "^1.11"
openpyxl = "^2.6"
django-cors-headers = "^3.3.0"
babel = "^2.9.0"
sphinx = "^1.8"
psycopg2 = "==2.8.6"
oauth2client = "^4.1.3"
httplib2 = "^0.19.1"
google-api-python-client = "^2.2.0"
black = ">=21.5b2"
pymongo = "^3.11.4"
sphinx-rtd-theme = "^0.5.2"

[tool.poetry.dev-dependencies]
mock = "^2.0"
factory-boy = "^2.11"
model_mommy = "^1.6"
pytest = "^4.3.0"
pytest-cov = "^2.6"
pytest-django = "^3.4"
pytest-splinter = "^2.0.1"
pytest-pythonpath = "^0.7.3"
splinter = "^0.10.0"
selenium = "^3.141"
codecov = "^2.0"
black = {version = "21.5b2", allow-prereleases = true}
ipdb = "^0.11.0"
ipython = "^7.2"
libsass = "^0.19.0"
gunicorn = "^19.9"
watchdog = "^0.9.0"
toml = "^0.10.0"
pre-commit = "^1.17"
notebook = "^6.0"

[tool.black]
line-length = 108  # Strict maximum of 120
target_version = ['py36']
exclude = '''
/(
    \.git
  | \.hg
  | \.mypy_cache
  | \.tox
  | \.venv
  | _build
  | buck-out
  | build
  | dist
  | migrations
)/
'''

[tool.ej.conf]
themes=["default", "cpa"]


[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"

